// mighty_hedge.mq4 - very simple hedging script for MetaTrader.

/*
##############################################################################
#  Copyright (c) 2007 Pawel Szczesniak [kgb] <pawelsz@sdf.lonestar.org>
#  
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  
#  THIS SOFTWARE IS PROVIDED BY AUTHOR AND CONTRIBUTORS ``AS IS'' AND
#  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
#  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
#  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
#  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#  SUCH DAMAGE.
##############################################################################
*/

// mighty_hedge.mq4 is very simple hedging script for MetaTrader.
// Its very simple:
// 1. Open short position with 15 T/P and 5 S/L.
// 2. Open long position  with 15 T/P and 5 S/L.
//
// Its simple hedge system. You can read about hedging here:
// http://en.wikipedia.org/wiki/Hedge_(finance)
//
// BTW ! If you ever will make some MT4 scripts/experts then make
// some synopis what the scripts/expert is doing. I hate to have
// zillions of experts without any manuals...
//
// Just copy this file into Meta Trader "experts/scripts" directory.
//
// History:
// 2006-03-14:   initial release on #forex at undernet irc network.

#property copyright "Copyright (c) 2007 Pawel Szczesniak [kgb] <pawelsz@sdf.lonestar.org>"
#property link      "pawelsz@sdf.lonestar.org"


#include <stdlib.mqh>
#include <WinUser32.mqh>

extern double TakeProfit = 15;
extern double StopLoss = 5;//
extern double ticket1 = 0;
extern double ticket2 = 0;

int start()
{

// SELL
while(ticket1<1)
{
int ticket1=OrderSend(Symbol(),OP_SELL,0.5,Bid,3,Ask+Point*StopLoss,Ask-Point*TakeProfit,"expert comment",255,0,CLR_NONE);
      if(ticket1>0)
      {
            while(ticket2<1)
               {
               int ticket2=OrderSend(Symbol(),OP_BUY,0.5,Ask,3,Bid-Point*StopLoss,Ask+TakeProfit*Point,"expert comment",255,0,CLR_NONE);
               Sleep(1);
                  if(ticket2>0)
                     {
                     return(0);
                     }
               }
      }
Sleep(1);
}

OrderSelect(1, SELECT_BY_POS, MODE_TRADES);
OrderSelect(1, SELECT_BY_POS, MODE_TRADES);

return(0);
}
